controllers/EpisController.php
<?php

namespace app\controllers;

use app\models\Epis;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use Yii;
use yii\web\BadRequestHttpException;
use yii\web\Response;

/**
 * EpisController implements the CRUD actions for Epis model.
 */
class EpisController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Epis models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Epis::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'codigo' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Epis model.
     * @param int $codigo Codigo
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($codigo)
    {
        return $this->render('view', [
            'model' => $this->findModel($codigo),
        ]);
    }

    /**
     * Creates a new Epis model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Epis();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'codigo' => $model->codigo]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }


    public function actionCreate2()
    {



        $model = new Epis();

        
        if ($model->load(Yii::$app->request->post()) ) {
            
            if( $model->save()){
            return $this->redirect(['site/epis']);
            }else{
                Yii::$app->session->setFlash('error', "Codigo repetido.");
                $dataProvider = new ActiveDataProvider([
                    'query' => Epis::find()
                       ->select("Epis.codigo as codigo,nivel_proteccion,codigo_bombero,usos.usos as usos ")
                       ->join("LEFT JOIN","Usos", 'Usos.codigo=epis.codigo')
                       ,
                   'pagination' => [
                       'pageSize' => 1000,
                   ]
               ]);
                
        
                return $this ->render("..\site\datosEpis",[
                    "resultados"=>$dataProvider,
                    
                    "titulo"=>"Epis",
                    
                    
                ]);
            }
        } 
        elseif (Yii::$app->request->isAjax) {
            return $this->renderAjax('create2', [
                        'model' => $model
            ]);
        } 
        else {
            
            return $this->render('create2', [
                'model' => $model, 
            ]);
        }

        
    }
    /**
     * Updates an existing Epis model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $codigo Codigo
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($codigo)
    {
        $model = $this->findModel($codigo);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'codigo' => $model->codigo]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Epis model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $codigo Codigo
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($codigo)
    {
        $this->findModel($codigo)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Epis model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $codigo Codigo
     * @return Epis the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($codigo)
    {
        if (($model = Epis::findOne(['codigo' => $codigo])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use app\models\Alertas;
use app\models\Bomberos;
use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Cuadrillas;
use app\models\Vehiculos;
use app\widgets\Alert;
use PHPUnit\Framework\Constraint\IsNull;
use yii\base\View;
use yii\data\SqlDataProvider;
use yii\helpers\Json;
use yii\data\ActiveDataProvider;


class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
    
     public function actionBomberos() {
        $dataProvider = new SqlDataProvider(['sql' =>'SELECT codigo as "código",idcuadrilla AS "Cuadrilla", rango, nombre, apellidos, bomberos.disponible AS "disponible",zona 
                                                    FROM bomberos 
                                                    INNER JOIN cuadrillas 
                                                    ON(idcuadrilla=cuadrillas.id)',
                                                    'pagination' => [
                                                        'pageSize' => 10,
                                                    ]
        ]);

        return $this ->render("datosBomberos",[
            "resultados"=>$dataProvider,
            "campos"=>['codigo','Cuadrilla','rango','nombre','apellidos','disponible','zona'],
            "titulo"=>"Bomberos",
            "descripcion"=>"Bomberos que hay <p>Esta disponible si el valor es 1</p>",
            
        ]);
    }
    public function actionBomberos2() {
        
        $dataProvider = new ActiveDataProvider([
            'query' => Bomberos::find()
               ->select("codigo,idcuadrilla AS Cuadrilla, rango, nombre, apellidos, bomberos.disponible AS disponible,zona" )
               ->join("INNER JOIN","Cuadrillas", 'idcuadrilla=cuadrillas.id')
               ,
           'pagination' => [
               'pageSize' => 1000,
           ]
       ]);
        

        return $this ->render("datosBomberos2",[
            "resultados"=>$dataProvider,
            "campos"=>['codigo','Cuadrilla','rango','nombre','apellidos','disponible','zona'],
            "titulo"=>"Bomberos",
            "descripcion"=>"Bomberos que hay <p>Esta disponible si el valor es 1</p>",
            
        ]);
    }
    
    public function actionVehiculos() {
        $dataProvider = new SqlDataProvider(['sql' =>'SELECT matricula ,tipo,zona FROM vehiculos ',
        ]);
        return $this ->render("datosVehiculos",[
            "resultados"=>$dataProvider,
            "campos"=>['matricula','tipo','zona'],
            "titulo"=>"Vehiculos",
           
            
        ]);
    }

    public function actionVehiculos2() {
        
        $dataProvider = new ActiveDataProvider([
            'query' => Vehiculos::find()
               ->select("matricula,tipo,zona" )
               
               ,
           'pagination' => [
               'pageSize' => 1000,
           ]
       ]);
        

        return $this ->render("datosVehiculos2",[
            "resultados"=>$dataProvider,
            "titulo"=>"Vehiculos",
            "descripcion"=>"Bomberos que hay <p>Esta disponible si el valor es 1</p>",
            
        ]);
    }
    
    public function actionFuncionalidad() {
        $dataProvider = new SqlDataProvider(['sql' =>'SELECT vehiculos.matricula AS matricula,tipo,GROUP_CONCAT(funciones) as funciones FROM vehiculos LEFT JOIN funciones_vehiculo USING (matricula) GROUP BY matricula HAVING funciones IS NOT NULL',
        ]);
        return $this ->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['matricula','tipo','funciones'],
            "titulo"=>"Vehiculos y Funcionalidades",
            "descripcion"=>"Vehiculos con funciones especificas",
            
        ]);
    }
    
    public function actionAlertas() {
        $dataProvider = new SqlDataProvider(['sql' =>'SELECT alertas.codigo as codigo,epis_utilizados,vehiculos_utilizados,tipo,acuden.idcuadrilla as "Numero Cuadrilla", zona 
                                                        FROM alertas 
                                                        LEFT JOIN acuden  USING(codigo) 
                                                        INNER JOIN cuadrillas ON(acuden.idcuadrilla=cuadrillas.id)',
        ]);

        $alertasin = new ActiveDataProvider([
            'query' => Alertas::find()
               ->select("alertas.codigo as codigo , epis_utilizados, vehiculos_utilizados,tipo" )
               ->join("LEFT JOIN","acuden","alertas.codigo=acuden.codigo")
               ->where("acuden.codigo is null")
               ,
           'pagination' => [
               'pageSize' => 1000,
           ]
        ]);


        return $this ->render("datosAlertas",[
            "resultados"=>$dataProvider,
            "sincodigo"=>$alertasin,
            "campos"=>['codigo','epis_utilizados','vehiculos_utilizados','Numero Cuadrilla','zona'],
            "titulo"=>"Alertas",


            
            
        ]);
    }

    public function actionAlertas2() {
        
        $dataProvider = new ActiveDataProvider([
            'query' => Alertas::find()
               ->select("alertas.codigo as codigo , epis_utilizados, vehiculos_utilizados,tipo, acuden.idcuadrilla as Cuadrilla, cuadrillas.zona" )
               ->join("LEFT JOIN","acuden","alertas.codigo=acuden.codigo")
               ->join("INNER JOIN", "cuadrillas" ,"acuden.idcuadrilla=cuadrillas.id")
               ,
           'pagination' => [
               'pageSize' => 1000,
           ]
        ]);


        return $this ->render("datosAlertas2",[
            "resultados"=>$dataProvider,
            "campos"=>['codigo','epis_utilizados','vehiculos_utilizados','Numero Cuadrilla','zona'],
            "titulo"=>"Alertas",
            
            
        ]);
    }
    
    public function actionParques() {
        $dataProvider = new SqlDataProvider(['sql' =>'SELECT id,zona,radio_accion FROM parques ',
        ]);
        return $this ->render("datosParques",[
            "resultados"=>$dataProvider,
            
            "titulo"=>"Parques",
           
            
        ]);
    }
    
     public function actionEpis() {
        $dataProvider = new SqlDataProvider(['sql' =>'SELECT DISTINCT e.codigo as "codigo",nivel_proteccion,codigo_bombero,usos.usos as "usos" FROM epis e LEFT JOIN usos USING(codigo)',
        ]);
        return $this ->render("datosEpis",[
            "resultados"=>$dataProvider,
            "campos"=>['codigo','nivel_proteccion','codigo_bombero','usos'],
            "titulo"=>"Epis",
            "descripcion"=>"Epis y sus usos",
            
        ]);
    }
    
    public function actionCuadrillas() {
        $dataProvider = new SqlDataProvider(['sql' =>'SELECT DISTINCT num_cuadrilla as "nº Cuadrilla",zona as "Parque",disponible,num_bomberos as "nº Bomberos" FROM cuadrillas e ',
        ]);
        return $this ->render("datosCuadrillas",[
            "resultados"=>$dataProvider,
//           
            "titulo"=>"Cuadrillas",
            "descripcion"=>"Cuadrillas de los parques",
            
        ]);
    }
    
    public function actionDtosbombero($datos){
//        $dataProvider = new SqlDataProvider(['sql' =>'SELECT codigo,idcuadrilla AS "Cuadrilla", rango, nombre, apellidos, bomberos.disponible AS "disponible",zona FROM bomberos INNER JOIN cuadrillas ON(idcuadrilla=cuadrillas.id) ',
//        ]);

views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap4\ActiveForm */
/* @var $model app\models\ContactForm */

use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/datosAlertas.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;
use yii\bootstrap4\Modal;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use kartik\icons\Icon;
use yii\widgets\ListView;

Icon::map($this, Icon::FA);

?>

<script src="<?php Yii::$app->request->baseUrl?>\js\javaScript.js"></script>

<div class="jumbotron">
    <h2><?=$titulo?></h2>                        
    
</div>


<!-- Boton para acceder a la funcion de ajax que abre el modal de añadir vehiculos -->
<?= Html::button('Nueva Alerta', 
        ['value'=>Url::to(['alertas/create2']),
                        'class' => 'btn btn-success ','id'=>'modalButton']) ?>

<div class="row">
    <?=Html::a(Icon::show('table', ['class' => 'fa-solid', 'framework' => Icon::FAS]),['/site/alertas'], ['class' => 'btn btn-secondary separacion seleccionado'])?>
    <?=Html::a(Icon::show('address-book', ['class' => 'fa-solid', 'framework' => Icon::FAS]),['/site/alertas2'], ['class' => 'btn btn-secondary separacion2'])?>
</div>

<?php
  Modal::begin([
     'title' =>'<h4>Ficha</h4>',
     'id'     =>'modal',
     'size'   =>'modal-lg',
     'clientOptions' => ['backdrop' => 'static', 'keyboard' => FALSE]
     ]);
  echo "<div id='modalContent'> </div>";
  Modal::end();
?>


<?=GridView::widget([
    'dataProvider' => $resultados,
    'columns'=>['codigo','Numero Cuadrilla','tipo','zona',
        
        ['class' => 'yii\grid\ActionColumn',
            'header' => 'Botones',
            'template' => '{boton}',
            'buttons' => [
                'boton' => function($url, $model) {
    
    
            /*
                Boton para cargar el modal utilizando ajax se utiliza la logica para mostrar si esta disponible o no, para mostrar funciones en caso de que tenga el bombero
                y para cargar los mapas respectivos de cada zona
            */
                return  Html::tag('p', 'Mas Info', ['class' => 'btn btn-secondary','type'=>'button',
                    'onclick' => '
                                        $.ajax({
                                            url: "'.Url::toRoute(['/site/dtosalertas?datos='.$model['codigo']]).'",
                                            type: "post",
                                            contentType: "application/json",
                                            dataType:"json",
                                            success: function(data){
                                                
                                                iniciarMap();
                                                $("#codigo").val(data[0]["codigo"]);
                                                $("#epis").val(data[0]["epis_utilizados"]);
                                                $("#vehiculos").val(data[0]["vehiculos_utilizados"]);
                                              
                                                $("#cuadrilla").val(data[0]["Numero Cuadrilla"]);
                                                $("#tipo").val(data[0]["tipo"]);
                                                $("#descripcion").val(data[0]["descripcion"]);
                                                
                                                $("#zona").val(data[0]["zona"]);

                                                document.getElementById("map").style.display = "none";
                                                document.getElementById("map2").style.display = "none";
                                                document.getElementById("map3").style.display = "none";
                                                document.getElementById("map4").style.display = "none";
                                                document.getElementById("map5").style.display = "none";
                                                
                                                if(data[0]["zona"]=="Santander"){
                                                    document.getElementById("map").style.display = "block";
                                                }else if(data[0]["zona"]=="Torrelavega"){
                                                    document.getElementById("map2").style.display = "block";
                                                }else if(data[0]["zona"]=="Colindres"){
                                                    document.getElementById("map3").style.display = "block";
                                                }else if(data[0]["zona"]=="Piélagos"){
                                                    document.getElementById("map4").style.display = "block";
                                                }else if(data[0]["zona"]=="Valdáliga"){
                                                    document.getElementById("map5").style.display = "block";
                                                }
                                                
                                                $("#modalp").modal("show");
                                            
                                            },
                                            error: function () {
                                                alert("ERROR");
                                            }
                                        });
                                    '
                     ]);
                },  
             ],
            ],
         ],
]); 
?>

<h2 class="espacio">Alertas sin asignar</h2>

<?=GridView::widget([
    'dataProvider' => $sincodigo,
    'columns'=>['codigo' , 'epis_utilizados', 'vehiculos_utilizados','tipo',
        
        ['class' => 'yii\grid\ActionColumn',
            'header' => 'Botones',
            'template' => '{boton}',
            'buttons' => [
                'boton' => function($url, $model) {
    
    
            /*
                Boton para cargar el modal utilizando ajax se utiliza la logica para mostrar si esta disponible o no, para mostrar funciones en caso de que tenga el bombero
                y para cargar los mapas respectivos de cada zona
            */
                return   Html::tag('p','Asignar alerta', 
                            ['value' => Url::to(['acuden/create2','datos'=>$model['codigo']]),
                                'type'=>'button','class' => 'btn btn-success modalButton2','id'=>'modalButton2']) ;

                                 
                },  
             ],
            ],
         ],
]); 
?>



<div class="modal" tabindex="-1" role="dialog" id="modalp">
  <div class="modal-dialog modal-lg " role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Alerta</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
            <h4>Código</h4>
          <input readonly="readonly" class="form-control-lg " id="codigo"></input>
          <h4>Epis utilizados</h4>
          <input readonly="readonly" class="form-control-lg " id="epis"></input>
          <div>
          <h4>Vehiculos utilizados</h4>
          <input readonly="readonly" class="form-control-lg " id="vehiculos"></input>
          <h4>Cuadrilla</h4>
          <input readonly="readonly" class="form-control-lg " id="cuadrilla"></input>
          <h4>Tipo</h4>
          <input readonly="readonly" class="form-control-lg " id="tipo"></input>
          <h4>Descripción</h4>
          <input readonly="readonly" class="form-control-lg " id="descripcion"></input>
          <h4>Zona</h4>
          <input readonly="readonly" class="form-control-lg " id="zona"></input>
          <?php 
     //     Html::tag('p', 'hola', ['class' => 'btn btn-secondary','type'=>'button',
     //               'onclick' => 'https://maps.googleapis.com/maps/api/js?key=AIzaSyBDaeWicvigtP9xPv919E-RNoxfvC-Hqik&callback=iniciarMap']);
      //              Html::a('Profile', ['https://maps.googleapis.com/maps/api/js?key=AIzaSyBDaeWicvigtP9xPv919E-RNoxfvC-Hqik&callback=iniciarMap', 'id' => "prub"], ['class' => 'profile-link']) ;
                    ?>
                                        
          <div id="map" class="map"></div>
          <div id="map2" class="map"></div>
          <div id="map3" class="map"></div>
          <div id="map4" class="map"></div>
          <div id="map5" class="map"></div>
          <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBDaeWicvigtP9xPv919E-RNoxfvC-Hqik&callback=iniciarMap"></script>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

views/site/datosEpis.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;
use yii\bootstrap4\Modal;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use kartik\icons\Icon;
use yii\widgets\ListView;

Icon::map($this, Icon::FA);

?>

<script src="<?php Yii::$app->request->baseUrl?>\js\javaScript.js"></script>

<div class="jumbotron">
    <h2><?=$titulo?></h2>                        
    
</div>


<!-- Boton para acceder a la funcion de ajax que abre el modal de añadir vehiculos -->
<?= Html::button('Nuevo Epi', 
        ['value'=>Url::to(['epis/create2']),
                        'class' => 'btn btn-success ','id'=>'modalButton']) ?>

<div class="row">
    <?=Html::a(Icon::show('table', ['class' => 'fa-solid', 'framework' => Icon::FAS]),['/site/epis'], ['class' => 'btn btn-secondary separacion seleccionado'])?>
    
</div>

<?php
  Modal::begin([
     'title' =>'<h4>Ficha</h4>',
     'id'     =>'modal',
     'size'   =>'modal-lg',
     'clientOptions' => ['backdrop' => 'static', 'keyboard' => FALSE]
     ]);
  echo "<div id='modalContent'> </div>";
  Modal::end();
?>


<?=GridView::widget([
    'dataProvider' => $resultados,
    'columns'=>['codigo',
    [
        'attribute'=>'codigo_bombero',
        'value'=>function($data){
            if($data['codigo_bombero']==null){
                $disp="Repuesto";
            }
            else{
                $disp=$data['codigo_bombero'];
            }
            return $disp;
        }
    ],
    'nivel_proteccion',
    [
        'attribute'=>'usos',
        'value'=>function($data){
            if($data['usos']==null){
                $disp="Generico";
            }
            else{
                $disp=$data['usos'];
            }
            return $disp;
        }
    ],
    
        
        
         ],
]); 
?>

views/site/index.php
<?php
use yii\helpers\Html;
/* @var $this yii\web\View */



$this->title = 'My Yii Application';
?>
<div class="site-index separriba">

    <div class="body-content">

        <div class="row">
            <div class="col-sm-6 col-md-4" >
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Bomberos</h3>
                        
                        
                        <img src="<?php echo Yii::$app->request->baseUrl; ?>/image/bombero1.png "  height="200px">
                        <?=Html::a('Bomberos',['/site/bomberos'], ['class' => 'btn btn-secondary sepboton'])?>
                        
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-4">
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Vehículos</h3>
                        <img src="<?php echo Yii::$app->request->baseUrl; ?>/image/vehiculo1.png "  height="170px">
                        <?=Html::a('Vehiculos',['/site/vehiculos'], ['class' => 'btn btn-secondary sepboton'])?>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-4">
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Alertas</h3>
                        <img src="<?php echo Yii::$app->request->baseUrl; ?>/image/alerta.png "  height="170px">
                         <?=Html::a('Alertas',['/site/alertas'], ['class' => 'btn btn-secondary sepboton'])?>
                        
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6 col-md-4" >
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Parques</h3>
                        <img src="<?php echo Yii::$app->request->baseUrl; ?>/image/estacion.png "  height="170px">
                        <?=Html::a('Parques',['/site/parques'], ['class' => 'btn btn-secondary sepboton'])?>                        
                        
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-4" >
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Epis</h3>
                        <img src="<?php echo Yii::$app->request->baseUrl; ?>/image/epis1.png "  height="190px">
                        <?=Html::a('Epis',['/site/epis'], ['class' => 'btn btn-secondary sepboton'])?>     
                        
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-4" >
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Cuadrillas</h3>
                        <img src="<?php echo Yii::$app->request->baseUrl; ?>/image/cuadrilla2.png "  height="170px">
                        <?=Html::a('Cuadrillas',['/site/cuadrillas'], ['class' => 'btn btn-secondary sepboton'])?>     
                        
                    </div>
                </div>
            </div>




            </div>
        </div>

    </div>
</div>

views/site/modalCrear.php
      <div class="modal-body">
           <p>asodfih</p>
           <button>asofih</button>


      </div>
      